commit:     cb37794e3a4e8205ff54ad5676aad0ed437c6ba6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 12 08:05:34 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 12 09:05:02 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb37794e

www-apps/viewvc: confutils -> REQUIRED_USE, #612394

 www-apps/viewvc/viewvc-1.1.20-r1.ebuild | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/www-apps/viewvc/viewvc-1.1.20-r1.ebuild 
b/www-apps/viewvc/viewvc-1.1.20-r1.ebuild
index 66484dfb27f..3a8caa2fa09 100644
--- a/www-apps/viewvc/viewvc-1.1.20-r1.ebuild
+++ b/www-apps/viewvc/viewvc-1.1.20-r1.ebuild
@@ -4,7 +4,7 @@
 EAPI=6
 PYTHON_COMPAT=( python2_7 )
 
-inherit confutils eutils python-single-r1 webapp
+inherit eutils python-single-r1 webapp
 
 WEBAPP_MANUAL_SLOT="yes"
 
@@ -34,13 +34,12 @@ RDEPEND="${PYTHON_DEPS}
        )
 "
 
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+       || ( cvs subversion )"
 
 pkg_setup() {
        python-single-r1_pkg_setup
        webapp_pkg_setup
-
-       confutils_require_any cvs subversion
 }
 
 src_prepare() {

Reply via email to